Reverse a Payment to Platform

This API will allow you to reverse a payment to platform. The original external requestId (extRequestId) from the original payment to platform request is needed to match the original transaction.

The amount field is optional, some considerations:

  • If no amount is provided, it will attempt to reverse the entire value from the original extRequestId

  • If an amount is provided, it can be up to the entire amount of the original extRequestId (paymentToPlatform)

  • However, there is also tracking of the partial amounts that have previously been reversed. The partner cannot go over the original paymentToPlatform amount that was sent in increments of reversals.

Reverse all or part of a previous Payment to Platform using the original extRequestId to identify the transfer. Omit the amount to attempt a full reversal, or provide an amount to make a partial reversal when only part of the original transfer should be returned.

📘 Reversal Amounts

A reversal cannot exceed the original Payment to Platform amount. Partial reversals are tracked cumulatively, so the total amount reversed across multiple requests cannot exceed the value of the original transfer.

Body Params
number
1 to 100000

Amount to be transferred

string
required

ExtRequestId to identify the original request. One of extRequestId or requestId is required.

string
required

RequestId to identify the original request. One of extRequestId or requestId is required.

string

Tag to label different types of payments

number
≥ 1

Schedule timestamp for processing payment

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json